﻿
## AutomationML Editor Introduction

### Version 6.4

**AutomationML editor** was developed by the **AutomationML** Association to visualize important AutomationML concepts and offers functions for visualizing, creating, editing and validating AutomationML/CAEX files. The AutomationML editor gives you access to all AutomationML libraries published by the AutomationML Association as well as to a large number of sample models. 

The AutomationML Editor is suitable for educational and research purposes and is a perfect entry point for learning, experimenting and understanding AutomationML. The number of features and functionalities of the AutomationML Editor represents the largest part of the entire AutomationML modelling scope. The AutomationML Editor is provided by AutomationML e. V. and distributed under the MIT license as closed source. The source code of the editor is not publicly accessible. Only AutomationML members can be granted access rights to the source code. 

For a reliable statement about the capabilities of AutomationML it shall be referred to the AutomationML white papers at https://www.automationml.org. For more information about the underlying CAEX format refer to IEC 62424.

The Editor supports the processing of AutomationML 2.0 (Edition 1) based on CAEX 2.15 as well as AutomationML 2.1 (Edition 2) based on CAEX 3.0.

#### Licensing
A new license model allows a wider user community to use the editor as a full version without having to be a member. Further information can be found [here](https://www.automationml.org/about-automationml/aml-tools/automationml-editor/). For information on service releases, please check the [news section](https://www.automationml.org/news/) regularly. You will find the relevant information there.

#### Help
In the [AutomationML Editor Wiki](https://github.com/AutomationML/AutomationMLEditor/wiki) you will find numerous instructions for using the editor. In addition to basic usage instructions, you will also find extended features on specific modelling aspects explained there. The editor was developed using software components that are freely available on [Nuget.org](https://www.nuget.org/packages?q=AutomationML.&frameworks=net&includeComputedFrameworks=false&frameworkFilterMode=all&prerel=false&sortby=relevance).   

#### Note
The editor uses the internet to load information from the AutomationML website and from the AutomationML GitHub repository. No information is transmitted from the application side. You can use the editor in offline mode without an internet connection, but then you cannot use some features, such as importing AutomationML models and libraries from the AutomationML file server. The offline mode can be configured in the settings.

#### Requirements
Version 6.4 requires the X64 [.NET 8 Windows Desktop Runtime](https://dotnet.microsoft.com/en-us/download/dotnet/8.0).  

With the introduction of editor version 6.0, the full functionality of the editor is only available with a license provided by the AutomationML Association. AutomationML members receive annual licenses. Temporary licenses for test or research purposes are issued free of charge on request.

The main development lines of the editor versions can be viewed [here](https://github.com/AutomationML/AutomationMLEditor/wiki/EditorVersions).
